HISTORY.CGI(1)

NAME
history.cgi - CGI program to display service history

SYNOPSIS
history.cgi

DESCRIPTION
history.cgi is invoked as a CGI script via the history.sh CGI wrapper. It is passed a QUERY_STRING environment variable with the following parameters:
   HISTFILE (a Xymon service history file)
   ENTRIES (the number of entries to show)

The following non-standard parameters are handled by the Xymon version of history.cgi:
   IP (IP address of host - for display purposes only)
   PIXELS (width of colorbar when in pixel-mode)
   ENDTIME (when the colorbar begins, a time_t value)
   BARSUMS (which colorbars and summaries to show) history.cgi analyses the service history file for changes that have occurred within the past 24 hours, and build a colorbar showing the status of the service over this period of time. A statistics summary is also produced, listing the amount of time for each status (green, yellow, red, purple, blue, clear). Finally, a summary of the last N events is given, with links to the actual event logs. Unlike the standard history.sh script, history.cgi provides a colorbar and statistics summaries also covering the past 1 week, 4 weeks and 1 year of data. Via links it is possible to browse the entire history of the service at the requested interval. Note that since the resolution of the display is limited, events may be too short to show up on a colorbar; also, the exact placement of an event may not fully match up with the time-markers. The graphs should correctly handle the display of months with different number of days, as well as the display of periods that involve beginning and end of Daylight Savings Time, if this occurs in your timezone. All dates and times shown are in local time for the timezone defined on the Xymon server.

PARAMETERS

HISTFILE
    Defines the host and service whose history is presented.

ENTRIES
    The number of log-entries to show in the event log table. Default is 50; to view all log entries set this to "ALL".

IP  The IP-address of the host. This is only used for the title of the document.

PIXELS
    The width of the colorbar graph in pixels. If this is set to 0, a percentage-based graph will be shown, similar to the one provided by the standard history.sh script. Pixel-based graphs can have a higher resolution, but do not resize automatically to suit the size of a browser window. The default value for this parameter is defined at compile-time; 960 is a good value for displays with a 1024x768 resolution.

BARSUMS
    Defines which colorbars and summaries to show. This is a number made up from a bitmask. The 1-day graph uses the value "1"; the 1-week graph uses the value "2"; the 4-week graph uses the value "4" and the 1-year graph the value "8". To show multiple graph, add the values - e.g. "6" will show the 1-week and 4-weeks graphs, whereas "15" will show all the graphs. The default is defined at compile-time.

ENDTIME
    The history display by default ends with the current time. Setting the ENDTIME parameter causes it to end at the time specified - this is given as a Unix "time_t" value, i.e. as the number of seconds elapsed since Jan 1 1970 00:00 UTC.

OPTIONS

--env=FILENAME
    Load the environment from FILENAME before executing the CGI.

SEE ALSO
hosts.cfg(5), xymonserver.cfg(5)